on:
  push:
    branches:
      - main
jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - name: checkout repo
        uses: actions/checkout@v6
      - name: install rsync
        run: |
          apt update
          apt install rsync -y
      - name: add ssh key
        uses: actions/ssh-setup@v1
        with:
          ssh-key: ${{ secrets.ACTIONS_SSH_KEY }}
          add-hosts: "toufy.me"
      - name: sync repo
        run: rsync -az . root@toufy.me:/var/www/toufy.me
